package com.neusoft.smart.pos.ota.persistent.mapper;

import com.neusoft.smart.pos.ota.persistent.domain.ApkVersion;
import com.neusoft.smart.pos.ota.persistent.domain.ApkVersionExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ApkVersionMapper {
    int countByExample(ApkVersionExample example);

    int deleteByExample(ApkVersionExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ApkVersion record);

    int insertSelective(ApkVersion record);

    List<ApkVersion> selectByExample(ApkVersionExample example);

    ApkVersion selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ApkVersion record, @Param("example") ApkVersionExample example);

    int updateByExample(@Param("record") ApkVersion record, @Param("example") ApkVersionExample example);

    int updateByPrimaryKeySelective(ApkVersion record);

    int updateByPrimaryKey(ApkVersion record);

    void batchInsert(@Param("items") List<ApkVersion> items);
}